**Note:** this is following up on the discussion about legal entities that took place in issue #4. The primary goal is to identify possible legal homes for the fediverse.party project itself. Secondary goals include;
* mapping the space. Figure out if there is any wheel reinvention or avoidable duplication of effort going on, and if there are any gaps. 
* providing some insight into the relationships between the people behind the various app projects (eg allies vs. rivals), which may affect the prospects for smooth inter-operation between apps.

The initial list includes any formal organizations that are supporting the development of fediverse software, other federated software, and protocols/ standards. The list will be expanded, as info becomes available, to note their legal status, the activities they currently undertake, and any other activities they agree would be within their mission.

* [Diaspora Foundation](https://diasporafoundation.org/) - provides a legal entity for development of the Diaspora software, and the "Diaspora protocol (a standard set of protocols they forked from OStatus), under the umbrella of the Free Software Support Network (FSSN), a project of the Software Freedom Law Centre.

* [Feneas](https://feneas.org/) (Federated Networks Association) - a legal association incorporated in Finland that exists to support federated networking. It currently seems to involve mainly people from a number of the projects in "the Federation" (apps using the set of protocols standardized by Diaspora standard), including Friendica, GangGo, and SocialHome.

* [Framasoft Association](https://www.framasoft.org/) - providing a mailing list for development of the [ForgeFed](https://github.com/forgefed/forgefed) extension of AP for code forges, and possibly a legal umbrella too? Also serving as the legal umbrella for PeerTube.

* [FunkWhale](https://socialhub.network/t/a-non-profit-for-funkwhale/137/23) - having been discussing setting up their own legal entity.

* [GNU.io](https://gnu.io/) - provides a legal entity for development of GNU social (and GNU FM), under the umbrella of the GNU Project, a project of the Free Software Foundation.

* SocialWG ([Social Web Incubator Community Group](https://www.w3.org/wiki/SocialCG) / [Social Web Working Group](https://www.w3.org/wiki/Socialwg/)) - the team that formalized ActivityPub and ActivityStreams 1.0, under the umbrella of the W3C. It's W3C Working Group charter began in 2014-07-21, and expired in 2018-02-13. Informal discussions about AP implementation continue here. If there was ever a proposal for an AP 2.0 (or ActivityStream 3.0), or having the W3C formally recognize any [extensions to AP](https://cjslep.com/c/blog/an-activitypub-philosophy), SocialWG would probably apply for another Working Group charter.