:heavy_check_mark: == **added to live website at [fediverse.party](https://fediverse.party)**

:black_nib: == newly added to this page (added, not altered. Only @light to remove please)

## List of projects that have considered implementing one or more of the fediverse standards (OStatus, ActivityPub, Diaspora, Zot)

*Note*: once the developers of an app firmly commit to an implementation, please move it from this list to the watchlist for the relevant protocol. Most of these projects include both a back-end and a web client, but this list also includes projects that are only a back-end. Projects that are only a web app, for use with an existing back-end, will go on the [client watchlist](https://git.feneas.org/feneas/fediverse/wikis/watchlist-for-client-apps).

*:black_nib: [Chapter](https://github.com/freeCodeCamp/chapter/issues/36#issuecomment-542898365) - a social events invite/ RSVP tool being developed by FreeCodeCamp.

* :black_nib: [Communecter](https://github.com/pixelhumain/) - already supports ActivityStreams, [plans to implement the rest of ActivityPub](https://www.loomio.org/d/Y8kHSzPE/activitypub-as-a-decentralized-oae-infrastructure-/3). Codebase is currently being [refactored into a set of smaller components](https://www.loomio.org/d/Y8kHSzPE/activitypub-as-a-decentralized-oae-infrastructure-/19).

* :black_nib: [Dreamwidth](https://github.com/dreamwidth/dw-free/issues/2337) - a blogging engine forked from LiveJournal. Some discussion of the possibilities of supporting ActivityPub.

* :black_nib: [Ghost](https://forum.ghost.org/t/federate-over-activitypub/1989/15) - some discussion of the possibilities of supporting ActivityPub.

* :black_nib: [Gitea](https://talk.feneas.org/t/how-are-we-going-to-implement-forgefed-instances/122/2) - "While the Gitea developers are interested in ForgeFed, they will need a ready spec to implement it themselves", [Criztovyl](https://talk.feneas.org/u/criztovyl). See also [Preparing for Federation: "Remote" Users / Federated ID](https://github.com/go-gitea/gitea/issues/9045)

* :black_nib: [GitLab](https://gitlab.com/gitlab-org/gitlab-foss/issues/4013) - some discussion of the possibilities of supporting ActivityPub. See also: https://gitlab.com/gitlab-org/gitlab-foss/issues/30991 and https://gitlab.com/gitlab-org/gitlab-foss/issues/44486. Most likely to happen if and when [ForgeFed is completed](https://talk.feneas.org/t/how-are-we-going-to-implement-forgefed-instances/122/2).

* :black_nib: [Human Connection](https://github.com/Human-Connection/Human-Connection/issues/114) - some discussion of the possibilities of supporting ActivityPub.

* :black_nib: [Kanboard](https://kanboard.discourse.group/t/federated-activity-streams-with-activitypub/85) - considering supporting AP

* :black_nib: [Kitsune](https://github.com/valerauko/kitsune/issues/14) - considering supporting the Diaspora standard.

* :black_nib: [MediaGoblin](https://issues.mediagoblin.org/ticket/5503) - streaming of any and all media files. Has been in "[unofficial retirement](https://news.ycombinator.com/item?id=19779594)", but an [early 2020 dev meeting](https://etherpad.wikimedia.org/p/mediagoblin-2020-02-15) mentions federation (presumably using AP).

* :black_nib: :tada: [Minds](https://gitlab.com/minds/engine/issues/183) - a centralized attempt at a FB replacement, incorporating short or long form posts, and live chat, as well as an internal token system (a bit like Reddit gold?). Have an unmerged PR implementing [AP support for following newsfeeds](https://gitlab.com/minds/engine/merge_requests/28).

* :black_nib: [OpenKi](https://gitlab.com/Openki/Openki/-/issues/1263) - some kind of platform for running open courses? [Developed by some Germans](https://about.openki.net/)?

* :black_nib: [Pagure](https://talk.feneas.org/t/how-are-we-going-to-implement-forgefed-instances/122/5) - "i will probably make pagure to be forge-fed compatibility when the time is right", [Bill Auger](https://talk.feneas.org/u/bill-auger)

* :black_nib: [WeChange](https://github.com/wechange-eg) - "collaboration platform" [considering AP integration](https://wechange.de/project/transition-connect-commons-api/note/aktuelles-zu-transition-connect/)

* :black_nib: [WT Social]() - social network for evidence-based news with crowdsourced flagging and fact-checking, founded by Jimmy Wales, who has said he's [considering supporting AP](https://twitter.com/jimmy_wales/status/1192447180725989376). Currently proprietary but Wales says source code will be released in future. 

* :black_nib: [Inventaire](https://github.com/inventaire/inventaire/issues/187) a libre collaborative resource mapper powered by open-knowledge.

## Discontinued Projects That Considered Support for Fediverse Protocols

* :black_nib: postActiv - code forge and then homepage went offline in late 2019, followed by community.highlandarrow.com, one of the few postActiv instances (although highlandarrow.com is still live as of early 2020), none of them were archived on the WaybackMachine, so the links here are dead and kept for historical references. postActiv originally worked with OStatus. Considered [implementing Zot](http://gitea.postactiv.com/postActiv/postActiv/issues/1), and [implementing ActivityPub](http://gitea.postactiv.com/postActiv/postActiv/issues/3). As of May, 2019, [lead dev had lost interest in AP](https://community.highlandarrow.com/notice/3767940). 